
Application: gvSIG desktop - gvSIG bugs #4928
error en la gestion de inputs durante la edicion de una tabla / error during table text input 
management
07/27/2018 11:41 PM - Mario Fevre

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Document table
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.4.1 Add-on build:
gvSIG build: 2855 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

si se encuentra activada la opción enviar selección arriba. La cual presenta los problemas descriptos en #3643 . 
Se pone en edición una celda con valor originas es "A" (es decir se hace click sobre el texto), y luego en la vista se selecciona un
nuevo elemento cuyo valor para el mismo campo es "B", al cambiar el orden en la tabla, el input sigue mostrando "A", en lugar de
cambiar a "B".

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5039: Cuando se deshace ... Closed 03/11/2019

History
#1 - 07/28/2018 01:58 AM - Mario Fevre

un error relacionado con esto es el siguiente:

1_poner una tabla en edición.
2_seleccionar una fila haciendo click sobre esta
3_reodenar la tabla por algún criterio
4_hacer shit+click sobre una fila nueva.

como resultado:
en lugar de seleccionar todas las filas entre la seleccionada 1 y la seleccionada 2; selecciona todas las filas entre la que ahora ocupa el lugar que en
su momento ocupaba la seleccionada 1, y la seleccionada 2.

#2 - 02/04/2019 06:08 PM - Álvaro Anguix
- Category set to Document table

#3 - 03/04/2020 11:51 AM - Álvaro Anguix
- Related to gvSIG bugs #5039: Cuando se deshace "Mover arriva la selección" se dejan de ver los elementos seleccionados / When disabling "Move 
up selection" the selected elements are not shown added

#4 - 05/19/2021 12:01 PM - Álvaro Anguix
- Status changed from New to Closed
Probando con el último build parece que el comportamiento es el correcto, mostrando siempre arriba el elemento seleccionado.
